unit Unit2;
{     }

interface

type
  TMyFunc = function ( X : Integer ) : Real of object;

  TMyClass1 = class
    private
      FField : Real;
      FMyFunc: TMyFunc;
    protected
      function FirstFunc ( X : Integer ) : Real;
      procedure SetField ( Value : Real );
    public
      procedure TakeAndSet ( X : Integer );
      property Field : Real
        read FField  write SetField;
      property MyFunc : TMyFunc
        read FMyFunc write FMyFunc;
  end;

var
  MyObject1 : TMyClass1;

implementation

function TMyClass1.FirstFunc ( X : Integer ) : Real;
begin
  Result := SQR ( X )/2;
end;

procedure TMyClass1.SetField ( Value : Real );
begin
  FField := Value
end;

procedure TMyClass1.TakeAndSet ( X : Integer );
begin
  SetField (MyFunc(X));
end;

initialization
  MyObject1 := TMyClass1.Create;
  MyObject1.MyFunc := MyObject1.FirstFunc;

finalization
  MyObject1.Free;

end.
